﻿using Caliburn.Micro;
using System.ComponentModel.Composition;
using VisualComponents.Create3D;
using VisualComponents.UX.Shared;

namespace Plugin.GalleryMenuToolCommand
{
    [Export(typeof(IActionItem))]
    class CustomItems1: ActionItem
    {
        public CustomItems1():base("CreateComponent1")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 1");
        }
    }

    [Export(typeof(IActionItem))]
    class CustomItems2: ActionItem
    {
        public CustomItems2():base("CreateComponent2")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 2");
        }
    }


    [Export(typeof(IActionItem))]
    class CustomItems3 : ActionItem
    {
        public CustomItems3() : base("CreateComponent3")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 3");
        }
    }

    [Export(typeof(IActionItem))]
    class CustomItems4 : ActionItem
    {
        public CustomItems4() : base("CreateComponent4")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 4");
        }
    }


    [Export(typeof(IActionItem))]
    class CustomItems5 : ActionItem
    {
        public CustomItems5() : base("CreateComponent5")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 5");
        }
    }

    [Export(typeof(IActionItem))]
    class CustomItems6 : ActionItem
    {
        public CustomItems6() : base("CreateComponent6")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 6");
        }
    }

    [Export(typeof(IActionItem))]
    class CustomItems7 : ActionItem
    {
        public CustomItems7() : base("CreateComponent7")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 7");
        }
    }

    [Export(typeof(IActionItem))]
    class CustomItems8 : ActionItem
    {
        public CustomItems8() : base("CreateComponent8")
        {
            this.execute = Execute;
        }

        public override void Execute()
        {
            IoC.Get<IConsoleViewModel>().AppendMessage("Create Component 8");
        }
    }
}
